[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Remove uses of %{PACKAGE_VERSION} and %{PACKAGE_RELEASE} from specs



On Fri, Dec 4, 2009 at 6:57 AM, Panu Matilainen
<pmatilai laiskiainen org> wrote:
>
> Grepping through spec files from CVS devel/ shows there are a handful of
> package still using %{PACKAGE_VERSION} and %{PACKAGE_RELEASE} macros. These
> were considered "backwards compatibility stuff" in 1998 (yes, eleven years
> ago) already, please change them to use the %{version} and %{release} macros
> instead.
>
> The packages using these ancient macros are:
> - kernel

> - kernel-xen-2.6 (dead package?)
yes
> - glibc32, glibc64 (dead packages?)
yes

> - fmt-ptrn
> - libunwind
>
> Rpm >= 4.8.x removes the support for the ancient %{PACKAGE_*} macros so
> packages still using them will fail to build with it.
>
>        - Panu -
>


I think a proven packager or someone with chuck norris power can fix
the other's packager's



-- 
------------

Itamar Reis Peixoto

e-mail/msn/google talk/sip: itamar ispbrasil com br
skype: itamarjp
icq: 81053601
+55 11 4063 5033
+55 34 3221 8599


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]